import { SlideStatus } from '../../slideGenerator';
export default function addSlidesAction(type: string): (slides: string[], options: CreateSlidesOptions) => {
    slideGeneration$: import("rxjs").Observable<SlideStatus>;
    structureGeneration$: import("rxjs").Observable<Promise<void>>;
};
export interface CreateSlidesOptions {
    baseDirectory: string;
    chapter?: string;
}
export { SlideStatus };
